###############################################################################
# ModifyMessage.pl                                                            #
###############################################################################
# YaBB: Yet another Bulletin Board                                            #
# Open-Source Community Software for Webmasters                               #
# Version:        YaBB 2.1                                                    #
# Released:       November 8, 2005                                            #
# Distributed by: http://www.yabbforum.com                                    #
# =========================================================================== #
# Copyright (c) 2000-2005 YaBB (www.yabbforum.com) - All Rights Reserved.     #
# Software by: The YaBB Development Team                                      #
#              with assistance from the YaBB community.                       #
# Sponsored by: Xnull Internet Media, Inc. - http://www.ximinc.com            #
#               Your source for web hosting, web design, and domains.         #
###############################################################################

$approvalmessageplver = 'YaBB 2.1 $Revision: 1.0 $';
if ($action eq 'detailedversion') { return 1; }


sub ApprovalMessage {
	&fatal_error($post_txt{'01'}) unless ($iamadmin || $iamgmod || $iammod);

	$threadid = $INFO{'thread'};
	$postid   = $INFO{'message'};

	fopen(FILE, "$datadir/$threadid.txt") || &fatal_error("$post_txt{'23'} $threadid.txt", 1);
	@messages = <FILE>;
	fclose(FILE);
	my ($sub,$mname,$memail,$mdate,$musername,$micon,$mattach,$mip,$message,$mns,$mlm,$mlmb,$mfn) = split(/\|/, $messages[$postid]);

	if ($mess_approval_addby) {
		$message =~ s~\[approval\]-\[/approval\]~[approval\]$username\[/approval\]~ig; 
	} else {
		$message =~ s~\[approval\]-\[/approval\]~~ig; 
	}
	$messages[$postid] = qq~$sub|$mname|$memail|$mdate|$musername|$micon|$mattach|$mip|$message|$mns|$mlm|$mlmb|$mfn~;

	fopen(FILE, ">$datadir/$threadid.txt", 1) || &fatal_error("$txt{'23'} $threadid.txt");
	print FILE @messages;
	fclose(FILE);

	my $start = int($postid / $maxmessagedisplay) * $maxmessagedisplay;

	$yySetLocation = qq~$scripturl?num=$threadid/$start#$postid~;
	&redirectexit;
}


1;
