<id>
Messages Approval for YaBB 2.1 
</id>

<version>
1.01
</version>

<mod info>
Require Admin/Global Moderator/Moderator approval for posts.
To allow the Admin to specify:
 - Monitor posts from Guest
 - Monitor the member's first X posts
 - and more ;)

Installation:
1) Modify YaBB files using BoardMod or manually.
2) Load modified files to your server in ASCII mode.
Admin/ModList.pl
Admin/Admin.pl
Sources/SubList.pl
Sources/Display.pl
Sources/Post.pl
Sources/ModifyMessage.pl
Sources/Subs.pl
Sources/Printpage.pl
Templates/default/Display.template
Languages/English/Admin.lng
Languages/English/Main.lng
Languages/English/Menu.lng
Variables/Menu0.def
Variables/Menu1.def
Variables/Menu2.def

3) Load attached files to your server 

Version History:
ver 1.0
 - Initial beta release
</mod info>

<author>
Zoo
</author>

<homepage>

</homepage>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$mess_approval = "Message Approval|Zoltan Kovacs (Zoo)|This mod add the following funtons to registration:<br />- admin/gmod registration approval<br />- send email when new member regitered<br />- member's reason for joining<br /><br /><span class=\"small\"><b>Credits:</b> Thanks for '<b>DOT-COM</b>' with mod testing, language fixing and idea cleaning ;)</span>|1.01|07/05/07";
	push (@installed_mods, "$mess_approval");
</add before>

<edit file>
Admin/Admin.pl
</edit file>

<search for>
		 <div class="setting_cell2">
			<input type="checkbox" name="show_online_ip_gmod"$ol_gmod_checked /><br /><br />
		 </div>
	   </td>
     </tr>
   </table>
 </div>
</search for>

<replace>
		 <div class="setting_cell2">
			<input type="checkbox" name="show_online_ip_gmod"$ol_gmod_checked /><br /><br />
		 </div>
	   </td>
     </tr>
   </table>
 </div>

<br />
~;
	if ($mess_approval_guest) { $mess_approval_guest = ' checked="checked" ' }
	if ($mess_approval_addby) { $mess_approval_addby = ' checked="checked" ' }

	$yymain .= qq~
 <div class="bordercolor" style="padding: 0px; width: 99%; margin-left: 0px; margin-right: auto;">
   <table width="100%" cellspacing="1" cellpadding="4">
     <tr valign="middle">
       <td align="left" class="titlebg">
		 <img src="$imagesdir/preferences.gif" alt="" border="0" /><b>$mess_approval_txt{'setting'}</b>
	   </td>
     </tr>
     <tr valign="middle">
       <td align="left" class="windowbg2"><br />
		 <div class="setting_cell">
			$mess_approval_txt{'need'}
		 </div>
		 <div class="setting_cell2">
		 </div>
		 <br />
		 <br />
		 <div class="setting_cell">
			$mess_approval_txt{'guest'}
		 </div>
		 <div class="setting_cell2">
			<input type="checkbox" name="mess_approval_guest"$mess_approval_guest />
		 </div>
		 <br />
		 <div class="setting_cell">
			$mess_approval_txt{'minpost'}
		 </div>
		 <div class="setting_cell2">
			<input type="text" name="mess_approval_minpost" size="5" value="$mess_approval_minpost" />
		 </div>
		 <br />
		 <div class="setting_cell">
			$mess_approval_txt{'minday'}
		 </div>
		 <div class="setting_cell2">
			<input type="text" name="mess_approval_minday" size="5" value="$mess_approval_minday" />
		 </div>
		 <br />
		 <div class="setting_cell">
			$mess_approval_txt{'addby'}
		 </div>
		 <div class="setting_cell2">
			<input type="checkbox" name="mess_approval_addby"$mess_approval_addby />
		 </div>
		 <br />
	   </td>
     </tr>
   </table>
 </div>

</replace>

<search for>
	if ($codemaxchars > 15) { $codemaxchars = 15; }

</search for>

<add after>
	$mess_approval_minpost = $FORM{'mess_approval_minpost'} || "0";
	$mess_approval_minday = $FORM{'mess_approval_minday'} || "0";
	$mess_approval_guest = $FORM{mess_approval_guest} eq 'on' ? 1 : 0;
	$mess_approval_addby = $FORM{mess_approval_addby} eq 'on' ? 1 : 0;

</add after>

<search for>
\$show_online_ip_gmod = $show_online_ip_gmod;		# Set to 1 to show online IP's to global moderators.
</search for>

<add after>

########## Message approval ##########

\$mess_approval_guest = $mess_approval_guest;
\$mess_approval_minpost = $mess_approval_minpost;
\$mess_approval_minday = $mess_approval_minday;
\$mess_approval_addby = $mess_approval_addby;

</add after>

<edit file>
Sources/SubList.pl
</edit file>

<search for>
%director=(
</search for>

<add after>
'messageapproval',"ApprovalMessage.pl&ApprovalMessage",
</add after>

<edit file>
Sources/Display.pl
</edit file>

<search for>
		# Run UBBC interpreter on the message.
</search for>

<add before>
		($postmessage,$mess_needapproval,$mess_approvedby) = MessageApprovalCheck($postmessage,$musername);
</add before>

<search for>
		# Insert 3
</search for>

<add before>
		$mess_approvedby_txt='';
		if ($mess_needapproval) {
			if ($iamadmin || $iamgmod || $iammod ) {
				$template_quote = qq~$menusep<a href="$scripturl?board=$currentboard;action=messageapproval;message=$counter;thread=$viewnum">$img{'approve'}</a>$template_quote~;
			} elsif ($attachment && $username ne $musername || $iamguest || $exmem) {
				$attachment   = '';
				$showattach   = '';
				$showattachhr = '';
			}
		} elsif ($mess_approvedby) {
			&LoadUser($mess_approvedby);
			$mess_approvedby = ${$uid.$mess_approvedby}{'realname'} if ${$uid.$mess_approvedby}{'realname'};
			$mess_approvedby_txt = qq~<br /><i>$mess_approval_txt{'by'} $mess_approvedby</i>~;
			&ToChars($mess_approvedby_txt);
		}

</add before>

<search for>
		$outblock =~ s/<yabb signaturehr>/$signature_hr/g;
</search for>

<add before>
		$outblock =~ s/<yabb approval>/$approval/g;
</add before>

<edit file>
Sources/Post.pl
</edit file>

<search for>
	# set announcement flag according to status of current board
</search for>

<add before>
	$message .= MessageApprovalSet;
</add before>

<search for>
			if ($enable_ubbc) {
</search for>

<add before>
			($message) = MessageApprovalCheck($message,$tempname);
</add before>

<edit file>
Sources/ModifyMessage.pl
</edit file>

<search for>
		$settofield = "message";
</search for>

<add after>
		if ($message =~ s~\[approval\](.+?)\[/approval\]~~isg) { $mess_approvedby = $1; }
</add after>

<search for>
	if ($FORM{'w_file'} eq "attachnew" && $fixfile) {
</search for>

<add before>
	$message .= MessageApprovalSet;
</add before>

<edit file>
Sources/Subs.pl
</edit file>

<search for>
1;
</search for>

<add before>
sub MessageApprovalCheck {
	my ($testmessage,$testusername) = ($_[0],$_[1]);
	my $mess_approvedby = '';
	my $mess_needapproval = 0;
	if ( $testmessage =~ s~\[approval\](.+?)\[/approval\]~~isg ) {
		$mess_approvedby = $1 ne '-' ? $1 : '' ;
		if (!$mess_approvedby) {
			$mess_needapproval = 1;
			if ($iamadmin || $iamgmod || $iammod ) {
				 $testmessage = qq~[size=14][b][center][highlight] $mess_approval_txt{'admin'} [/highlight][/center][/b][/size]<br /><br />$testmessage~;
			} else {
				if ($username eq $testusername && !$iamguest && !$exmem) {
					$testmessage = qq~[size=14][b][center][highlight] $mess_approval_txt{'owner'} [/highlight][/center][/b][/size]<br /><br />$testmessage~;
				} else {
					$testmessage  = qq~<br /><br />[size=14][b][center][highlight] $mess_approval_txt{'member1'} [/highlight][/center][/b][/size]~;
					$testmessage .= qq~<br /><br />[size=14][b][center][highlight] $mess_approval_txt{'member2'} [/highlight][/center][/b][/size]~;
				}
			}
		}
	}
	return ($testmessage,$mess_needapproval,$mess_approvedby ); 
}

sub MessageApprovalSet {
	return '' if ($iamadmin || $iamgmod || $iammod );

	my $txt = qq~[approval]-[/approval]~;

	### Guest approval
	if ($iamguest && $mess_approval_guest) { return $txt };

	### approval if member's postcount less than setting
	if ($mess_approval_minpost > ${$uid.$username}{'postcount'})  { return $txt };

	### approval if member's days less than setting
	if ($mess_approval_minday ) {
		my $string_regdate = &stringtotime(${$uid.$username}{'regdate'});
		   $string_regdate = $forumstart if ($string_regdate < $forumstart);

		my $string_curdate = int(time);
		   $string_curdate = $forumstart if ($string_curdate < $forumstart);

		my $member_for_days = int(($string_curdate - $string_regdate) / 86400);
		   $member_for_days = 0 if ($member_for_days < 0);

		if ($mess_approval_minday > $member_for_days) { return $txt }
	}

	return '';
}

</add before>

<edit file>
Sources/PrintPage.pl
</edit file>

<search for>
		($threadtitle, $threadposter, $trash, $threaddate, $trash, $trash, $trash, $trash, $threadpost) = split(/\|/, $thread);
</search for>

<add after>
		($threadpost) = MessageApprovalCheck($threadpost,$threadposter);
</add after>

<edit file>
Templates/default/Display.template
</edit file>

<search for>
		</div>
		<div class="small" style="float: left; width: 99%; text-align: left">
			<yabb showatthr><yabb showatt>
</search for>

<add before>
			<yabb approval>
</add before>

<edit file>
Languages/English/Admin.lng
</edit file>

<search for>
%modtxt=(
</search for>

<add before>
%mess_approval_txt=(
'setting' => "Message approval setting",
'need' => "Need message approval by admin/gmod/mod:",
'guest' => "All Guest messages",
'minpost' => "Member's number of posts less than",
'minday' => "Member's days since joining less then ",
'addby' => "Add 'Approved by' text + who approved to display",
);

</add before>

<edit file>
Languages/English/Main.lng
</edit file>

<search for>
1;
</search for>

<add before>
%mess_approval_txt = (
'admin'   => "This message wait for approval!",
'member1' => "This forum uses heavy-moderated post system where some message will be first processed.",
'member2' => "This message awaiting approval!",
'owner'   => "This forum uses heavy-moderated post system. Your message awaiting approval!",
'by'      => "Approved by:"
);

</add before>

<edit file>
Languages/English/Menu.lng
</edit file>

<search for>
%img_txt =(
</search for>

<add after>
'approve' => "Approve",
</add after>

<edit file>
Variables/Menu0.def
</edit file>

<search for>
'modify' => "<img src=\"$imagesdir/modify.$imgext\" alt=\"$img_txt{'66'}\" border=\"0\" /> <span class=\"imgwindowbg\">$img_txt{'66'}</span>",
</search for>

<add before>
'approve' => "<img src=\"$imagesdir/approve.$imgext\" alt=\"$img_txt{'approve'}\" border=\"0\" /> <span class=\"imgwindowbg\">$img_txt{'approve'}</span>",
</add before>

<edit file>
Variables/Menu1.def
</edit file>

<search for>
'modify' => "<span class=\"imgwindowbg\">$img_txt{'66'}</span>",
</search for>

<add before>
'approve' => "<span class=\"imgwindowbg\">$img_txt{'approve'}</span>",
</add before>

<edit file>
Variables/Menu2.def
</edit file>

<search for>
'modify' => "<img src=\"$html_root/Buttons/$language/modify.$imgext\" alt=\"$img_txt{'66'}\" border=\"0\" />",
</search for>

<add before>
'approve' => "<img src=\"$html_root/Buttons/$language/approve.$imgext\" alt=\"$img_txt{'approve'}\" border=\"0\" />",
</add before>

